Skip to main content
GET
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
settlements
List settlements
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/settlements \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "start_at": "<string>",
      "end_at": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "settled_at": "<string>",
      "email_received_at": "<string>",
      "provider": "<string>",
      "provider_reference": "<string>",
      "attachments": [
        {
          "id": "<string>",
          "key": "<string>",
          "content_type": "application/xml",
          "extension": "<string>",
          "created_by": "payex"
        }
      ],
      "amounts": [
        {
          "amount": 123,
          "capture": 123,
          "refund": 123,
          "fee": 123,
          "currency": "NOK"
        }
      ],
      "payment_status": "paid",
      "store_id": "<string>",
      "payout_destination_id": "<string>"
    }
  ],
  "last_evaluated_key": {
    "id": "<string>",
    "account_id": "<string>",
    "settled_at": "<string>",
    "created_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing regular endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 1000 items, and the default is 10 items.

Required range: 1 <= x <= 1000
starting_after_id
string

cursor for use in pagination. starting_after_id is an object ID that defines your place in the list, included in the last_evaluated_key.

For instance, if you make a list request and receive 100 objects, ending with obj_foo and settled_at=2021-02-02, your subsequent call can include starting_after_id=obj_foo&starting_after_date=2021-02-02 in order to fetch the next page of the list.

Note that you need to use the created_at as value for starting_after_date if used in combination with item_created_at.gte or item_created_at.lte

Must be used together with starting_after_date

starting_after_date
string

cursor for use in pagination. starting_after_date is the settled_at or created_at from the last_evaluated_key that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo and settled_at=2021-02-02, your subsequent call can include starting_after_id=obj_foo&starting_after_date=2021-02-02 in order to fetch the next page of the list.

Must be used together with starting_after_id

created_at.gte
string<date>

Settlement created after, the settled_at value

created_at.lte
string<date>

Settlement created before a date, the settled_at value

item_created_at.gte
string<date>

Filter by Settlement created_at value, cannot be combined with created_at.gte query parameter

item_created_at.lte
string<date>

Filter by Settlement created_at value, cannot be combined with created_at.lte query parameter

payment_provider
string[]

The payment provider

payout_destination_id
string

The seller id to filter on

Will try to match the search to settlement_id.

Response

Settlements List

items
object[]
last_evaluated_key
object

Details included for use in pagination. Use the value of settled_at| or created_at and id as starting_after_id and starting_after_date parameter to retrieve the next page of settlements.